## libsoup2.4 2.26.3-0maemo4

=== debian/changelog ===
libsoup2.4 (2.26.3-0maemo4) unstable; urgency=low

  * Adapting libsoup2.4 for Maemo 4 (Diablo). All tests passing on Fremantle pass.
  * Backported several features from GLib 2.16, namely hash handling, GChecksum, 
    GCancellable and g_once_* thread handling routines.
  * Changed 64bit int formats in Content-Length and Content-Range to fix some tests 
    (and get Content-Length different than zero).

 -- Bundyo <bundyo@gmail.com>  Sun, 23 May 2010 23:45:34 +0200

libsoup2.4 (2.26.3-0maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Fri, 11 Dec 2009 13:26:34 +0200

libsoup2.4 (2.26.3-0maemo3) unstable; urgency=low

  * Fixes: NB#124849 - souphttpsrc does not pay attention to timeout property
  * Fix some leaks in error cases with soup multipart message.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 26 Nov 2009 14:59:42 +0200

libsoup2.4 (2.26.3-0maemo2) unstable; urgency=low

  * Fixes: NB#135697 - Random telepathy-stream-engine crash observed while in a SIP call
  * Keep reference on SoupSocket while emitting signals.

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 13 Nov 2009 17:11:08 +0200

libsoup2.4 (2.26.3-0maemo1) unstable; urgency=low

  * Update to new upstream release.

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 14 Sep 2009 16:25:51 +0300

libsoup2.4 (2.24.3-2maemo1) unstable; urgency=low

  Adapted to Maemo.
  
  * Removed dependency on GnuTLS.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 30 Mar 2009 16:49:56 +0300

libsoup2.4 (2.24.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 17 Feb 2009 15:13:27 -0300

libsoup2.4 (2.24.3-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 13 Jan 2009 09:25:05 +0100

libsoup2.4 (2.24.2.1-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 27 Nov 2008 20:39:30 +0100

libsoup2.4 (2.24.1-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/libsoup2.4-doc.doc-base: fix section.

  [ Andreas Henriksson ]
  * New upstream release.
    - drop patches/01_default-auth-digest-algorithm.patch, applied upstream.

  [ Josselin Mouette ]
  * Make the dependency on libglib2.0-dev match the build-dependency.
  * Bump shlibs to 2.23.91.
  * Fix spelling of GTK+ in the descriptions.

 -- Josselin Mouette <joss@debian.org>  Sun, 16 Nov 2008 18:38:32 +0100

libsoup2.4 (2.4.1-2) unstable; urgency=low

  * debian/patches/01_default-auth-digest-algorithm.patch:
    + Patch from upstream SVN to use MD5 as default auth digest algorithm
      if the server doesn't provide one.
  * debian/control.in:
    + Update Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 01 Aug 2008 11:29:21 +0200

libsoup2.4 (2.4.1-1) unstable; urgency=low

  * New upstream release with API additions:
    + debian/rules:
      - Bump shlibs to >= 2.4.1.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Apr 2008 19:27:18 +0200

libsoup2.4 (2.4.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/rules:
      - Remove check-dist include, upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Mar 2008 21:18:07 +0100

libsoup2.4 (2.3.4-1) experimental; urgency=low

  * New upstream release.
  * debian/libsoup2.4-doc.doc-base:
    + Use libsoup-2.4 as document name to not conflict with libsoup-2.2-doc
      anymore.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 26 Feb 2008 07:02:14 +0100

libsoup2.4 (2.3.2-1) experimental; urgency=low

  * New upstream release:
    + debian/rules:
      - Update shlibs to >= 2.3.2.
    + debian/control.in,
      debian/libsoup2.4-doc.doc-base:
      - Replace libsoup2.2-doc (<< 2.2.105) as 2.2.105 and above are
        installable at the same time. Also adjust documentation path.
    + debian/control.in,
      debian/libsoup2.4-1.install:
      - Update for new soname.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 12 Feb 2008 06:44:04 +0100

libsoup2.4 (2.3.0.1-1) experimental; urgency=low

  * Mention Red Hat, Novell, and Ximian copyrights and copyright years in the
    copyright file; fix LGPL version number to be version 2 instead of version
    2 or later; thanks Martin Pitt; drop useless individual authors
    information (not holding copyright).
  * Set GNOME_MODULE to libsoup.
  * New upstream release; API additions.
    - Bump shlibs to >= 2.3.0.

 -- Loic Minier <lool@dooz.org>  Fri, 25 Jan 2008 13:33:56 +0100

libsoup2.4 (2.3.0~r1050-1) experimental; urgency=low

  * New upstream SVN snapshot.
  * Renamed source package to libsoup2.4, changed all binary package names and
    updated everything for libsoup 2.3.
  * Upload to experimental, add check-dist include.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Jan 2008 12:22:43 +0100

libsoup (2.2.104-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Nov 2007 05:47:12 +0100

libsoup (2.2.103-1) unstable; urgency=low

  * New upstream bugfix release:
    + Fixes memory corruption in SoupSessionAsync that caused
      rhythmbox to crash (Closes: #446288).

 -- Sebastian Dröge <slomo@debian.org>  Sun, 28 Oct 2007 21:35:22 +0100

libsoup (2.2.102-1) unstable; urgency=low

  * New upstream release; no API change; fixes non-SSL build, Debian not
    affected.
  * Wrap build-deps and deps.
  * Don't override DEB_SHLIBDEPS_INCLUDE_libsoup2.2-dev and
    DEB_DH_MAKESHLIBS_ARGS_ALL completely.

 -- Loic Minier <lool@dooz.org>  Fri, 19 Oct 2007 11:38:44 +0200

libsoup (2.2.101-1) unstable; urgency=low

  [ Loic Minier ]
  * Drop useless upstream version computation.
  * Use full URL in copyright.
  * Don't include autotools.mk as it's already included by gnome.mk.

  [ Sebastian Dröge ]
  * New upstream release with no API changes:

