=== debian/control ===
Source: libsoup2.4
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: 
Build-Depends: debhelper (>= 5),
               libglib2.0-dev (>= 2.12.0),
               libgio-dev,
               libxml2-dev,
               cdbs,
               gtk-doc-tools,
               libgnutls-dev,
               dpkg-dev (>= 1.13.19)
Build-Conflicts: libgnutls11-dev
Standards-Version: 3.8.0

Package: libsoup2.4-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libsoup2.4-1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.12.0),
         libgio-dev,
         libgnutls-dev,
         libxml2-dev,
Conflicts: libgnutls11-dev
Suggests: libsoup2.4-doc
Description: an HTTP library implementation in C -- Development files
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS [disabled on Maemo]
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the development files.

Package: libsoup2.4-1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: an HTTP library implementation in C -- Shared library
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications.  This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS [disabled on Maemo]
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the shared library.

Package: libsoup2.4-1-dbg
Section: devel
Priority: extra
Architecture: any
Depends: libsoup2.4-1 (= ${binary:Version})
Description: an HTTP library implementation in C -- Shared library
 This package contains debug symbols.

Package: libsoup2.4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libsoup2.4-dev
Replaces: libsoup2.2-doc (<< 2.2.105)
Description: an HTTP library implementation in C -- API Reference
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS [disabled on Maemo]
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the documentation.
