=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/simple-patchsys.mk

ifeq ($(wildcard configure.in),configure.in)
SOUP_CURRENT := $(shell grep '^SOUP_CURRENT=' configure.in | sed -e 's/SOUP_CURRENT=//g')
SOUP_AGE := $(shell grep '^SOUP_AGE=' configure.in | sed -e 's/SOUP_AGE=//g')
SOUP_SOVERSION := $(shell expr $(SOUP_CURRENT) - $(SOUP_AGE))
endif

SHLIBS := libsoup2.4-${SOUP_SOVERSION} (>= 2.23.91)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
#include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
#-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := libsoup

DEB_SHLIBDEPS_INCLUDE_libsoup2.4-dev += debian/libsoup2.4-${SOUP_SOVERSION}/usr/lib
DEB_DH_MAKESHLIBS_ARGS_ALL += -V'$(SHLIBS)'
DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc --without-gnome

debian/stamp-autogen:
	NOCONFIGURE=1 ./autogen.sh --enable-gtk-doc --without-gnome
	touch $@

makebuilddir/libsoup2.4-1:: debian/stamp-autogen

ORIGIN_REF := maemo-debian
PATCHES_REF := maemo-patches

update-patch-series:
	mkdir -p debian/patches
	rm -f debian/patches/*.patch
	git format-patch -N -o debian/patches $(PATCHES_REF) ^$(ORIGIN_REF) | \
	        xargs -n 1 basename > debian/patches/series
	for patch in debian/patches/*.patch; do \
		lines=$$(cat $$patch | wc -l) ; \
		head -n $$(($$lines - 3)) $$patch > $${patch}.chomped ; \
		mv $${patch}.chomped $$patch ; \
	done
	git ls-files --modified --others -z debian/patches/*.patch debian/patches/series | \
		git update-index --add --remove -z --stdin
