## libsoup2.4 2.30.2

=== debian/changelog ===
libsoup2.4 (2.30.2-1+squeeze1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix directory traversal vulnerability through crafted HTTP requests
    (CVE-2011-2524; Closes: #635837)

 -- Nico Golde <nion@debian.org>  Wed, 21 Dec 2011 19:36:22 +0000

libsoup2.4 (2.30.2-1) unstable; urgency=low

  * New upstream release.
  * 01_disable_tls1.2.patch: stolen from git master. Disable TLS 1.2 and 
    use SSL 3.0 instead. Closes: #576339.
  * libsoup2.4-1.symbols: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Fri, 02 Jul 2010 19:25:29 +0200

libsoup2.4 (2.30.1-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Make test suite errors fatal for the build.
  * debian/rules,
    debian/source/format:
    - Switch to source format 3.0 (quilt).

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/libsoup2.4-1.symbols,
      debian/rules:
      - Updated for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Apr 2010 09:30:37 +0200

libsoup2.4 (2.30.0-1) unstable; urgency=low

  [ David Weinehall ]
  * New upstream release.
  * debian/control.in:
    - Bump Standards version to 3.8.4 (No changes needed).

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Fix SOVERSION calculation.
    - Don't pass additional flags to dh_shlibdeps for the -dev packages.
      That's just wrong, but luckily they weren't depending on
      ${shlibs:Depends} so it had no effect.
    - Enable the test suite during the build, but don't make it fatal yet.
  * debian/control.in:
    - Build dep on shared-mime-info, needed for one test to pass.
    - Reorder build-deps a bit.

 -- David Weinehall <tao@debian.org>  Tue, 30 Mar 2010 01:13:16 +0300

libsoup2.4 (2.29.91-1) unstable; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 23 Feb 2010 10:33:41 +0100

libsoup2.4 (2.29.90-1) unstable; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libsoup2.4-1.symbols:
      - Update for new API.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 09 Feb 2010 16:55:02 +0100

libsoup2.4 (2.29.6-1) unstable; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 26 Jan 2010 08:17:46 +0100

libsoup2.4 (2.29.5-2) unstable; urgency=low

  * debian/libsoup*.symbols:
    + Fix symbol files.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 Jan 2010 10:23:15 +0100

libsoup2.4 (2.29.5-1) unstable; urgency=low

  * New upstream development release (Closes: #564698):
    + debian/rules:
      - Update SHVER to 2.29.5 for new API.
    + debian/rules,
      debian/libsoup*.symbols:
      - Add symbol files.
    + debian/rules:
      - Remove check-dist.mk include to upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 Jan 2010 09:45:56 +0100

libsoup2.4 (2.29.3-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules:
      - Include check-dist.mk to prevent accidental uploads to unstable.
      - Update SHVER to 2.29.3 for new API.
    + debian/patches/redirect_head.patch,
      debian/patches/sqlite_strcmp_null_string.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Dec 2009 16:23:28 +0100

libsoup2.4 (2.28.1-3) unstable; urgency=low

  * debian/patches/redirect_head.patch:
    - Added. Don't change HEAD to GET on 303 redirect (from upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 07 Nov 2009 15:04:26 +0000

libsoup2.4 (2.28.1-2) unstable; urgency=low

  * debian/patches/sqlite_strcmp_null_string.patch:
    - Backport change from git to fix a crash if some values in the sqlite
      database are null.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 Oct 2009 16:54:59 +0200

libsoup2.4 (2.28.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/control.in:
      - Update gnutls build dependency to >= 2.1.7.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Oct 2009 07:49:51 +0200

libsoup2.4 (2.28.0-1) unstable; urgency=low

  [ Gustavo Noronha Silva ]
  * debian/patches/01_improve_cookies_performance.patch:
  - patch from upstream to avoid writing too much to the disk when
    handling cookies (Closes: #530964)

  [ Sebastian Dröge ]
  * New upstream stable release:
    + debian/patches/01_improve_cookies_performance.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Sep 2009 10:15:44 +0200

libsoup2.4 (2.27.92-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Bump shver as there are new APIs.
  * Tighten libsoup-gnome2.4-dev dependency on libsoup2.4-dev to avoid issues
    if something is built with different libsoup2.4 and libsoup-gnome2.4
    versions.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/rules:
      - Update SHVER to 2.27.92.
  * debian/control.in:
    + Standards-Version is 3.8.3, no changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2009 07:35:23 +0200

libsoup2.4 (2.27.91-2) experimental; urgency=low

  * debian/control.in:
  - add missing Build-Dep on libgnome-keyring-dev (Closes: #543556)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 26 Aug 2009 11:02:06 -0300

libsoup2.4 (2.27.91-1) experimental; urgency=low

  * New upstream release

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 24 Aug 2009 20:53:20 -0300

libsoup2.4 (2.27.90-1) experimental; urgency=low

  * New upstream release.
    - Build depend on glib 2.21.3.
    - Also bump the -dev package minimun glib dependency.
  * Standards-Version is 3.8.2, no changes needed.
  * Add Vcs-* fields.
  * Include check-dist.mk to avoid uploads to unstable.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Wed, 12 Aug 2009 22:29:48 +0200

libsoup2.4 (2.27.4-1) unstable; urgency=low

  * New upstream release
  - debian/patches/001_avoid_crash_on_msg_cancel.diff:
  - dropped; applied upstream


