=== debian/control ===
--- 
+++ 
@@ -1,28 +1,40 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
+
 Source: libsoup2.4
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: 
+Uploaders: David Weinehall <tao@debian.org>, Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 5),
-               libglib2.0-dev (>= 2.12.0),
-               libgio-dev,
+               dpkg-dev (>= 1.13.19),
+               cdbs,
+               gnome-pkg-tools,
+               libgconf2-dev,
+               libglib2.0-dev (>= 2.21.3),
+               libgnome-keyring-dev,
+               libgnutls-dev (>= 2.1.7),
+               libproxy-dev,
+               libsqlite3-dev,
                libxml2-dev,
-               cdbs,
                gtk-doc-tools,
-               libgnutls-dev,
-               dpkg-dev (>= 1.13.19)
+               shared-mime-info
+Build-Depends-Indep: libglib2.0-doc
 Build-Conflicts: libgnutls11-dev
-Standards-Version: 3.8.0
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/libsoup2.4
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/experimental/libsoup2.4
+Standards-Version: 3.8.4
 
 Package: libsoup2.4-dev
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
          libsoup2.4-1 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.12.0),
-         libgio-dev,
-         libgnutls-dev,
+         libglib2.0-dev (>= 2.21.3),
          libxml2-dev,
+         libgnutls-dev (>= 2.1.7)
 Conflicts: libgnutls11-dev
 Suggests: libsoup2.4-doc
 Description: an HTTP library implementation in C -- Development files
@@ -39,7 +51,7 @@
  Features:
   * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
   * Automatically caches connections
-  * SSL Support using GnuTLS [disabled on Maemo]
+  * SSL Support using GnuTLS
   * Proxy support, including authentication and SSL tunneling
   * Client support for Digest, NTLM, and Basic authentication
   * Server support for Digest and Basic authentication
@@ -66,7 +78,7 @@
  Features:
   * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
   * Automatically caches connections
-  * SSL Support using GnuTLS [disabled on Maemo]
+  * SSL Support using GnuTLS
   * Proxy support, including authentication and SSL tunneling
   * Client support for Digest, NTLM, and Basic authentication
   * Server support for Digest and Basic authentication
@@ -74,13 +86,97 @@
  .
  This package contains the shared library.
 
-Package: libsoup2.4-1-dbg
-Section: devel
+Package: libsoup2.4-dbg
+Section: debug
 Priority: extra
 Architecture: any
-Depends: libsoup2.4-1 (= ${binary:Version})
-Description: an HTTP library implementation in C -- Shared library
- This package contains debug symbols.
+Depends: libsoup2.4-1 (= ${binary:Version}),
+         ${misc:Depends}
+Description: an HTTP library implementation in C -- debugging symbols
+ It was originally part of a SOAP (Simple Object Access Protocol).
+ implementation called Soup, but the SOAP and non-SOAP parts have now been
+ split into separate packages.
+ .
+ libsoup uses the Glib main loop and is designed to work well with GTK+
+ applications.  This enables GNOME applications to access HTTP servers
+ on the network in a completely asynchronous fashion, very similar to
+ the GTK+ programming model (a synchronous operation mode is also
+ supported for those who want it).
+ .
+ Features:
+  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
+  * Automatically caches connections
+  * SSL Support using GnuTLS.
+  * Proxy support, including authentication and SSL tunneling
+  * Client support for Digest, NTLM, and Basic authentication
+  * Server support for Digest and Basic authentication
+  * Basic client-side SOAP and XML-RPC support
+ .
+ This package contains the debugging symbols.
+
+Package: libsoup-gnome2.4-1
+Section: libs
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Description: an HTTP library implementation in C -- GNOME support library
+ It was originally part of a SOAP (Simple Object Access Protocol)
+ implementation called Soup, but the SOAP and non-SOAP parts have now been
+ split into separate packages.
+ .
+ libsoup uses the Glib main loop and is designed to work well with GTK+
+ applications.  This enables GNOME applications to access HTTP servers
+ on the network in a completely asynchronous fashion, very similar to
+ the GTK+ programming model (a synchronous operation mode is also
+ supported for those who want it).
+ .
+ The GNOME support library is used for features which are important to
+ GNOME apps, but which require GNOME-specific libraries that non-GNOME
+ apps may not want to add dependencies on.
+ .
+ Features:
+  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
+  * Automatically caches connections
+  * SSL Support using GnuTLS
+  * Proxy support, including authentication and SSL tunneling
+  * Client support for Digest, NTLM, and Basic authentication
+  * Server support for Digest and Basic authentication
+  * Basic client-side SOAP and XML-RPC support
+ .
+ This package contains the GNOME support shared library.
+
+Package: libsoup-gnome2.4-dev
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends},
+         libsoup-gnome2.4-1 (= ${binary:Version}),
+         libsoup2.4-dev (= ${binary:Version})
+Suggests: libsoup2.4-doc
+Description: an HTTP library implementation in C -- GNOME support development files
+ It was originally part of a SOAP (Simple Object Access Protocol)
+ implementation called Soup, but the SOAP and non-SOAP parts have now been
+ split into separate packages.
+ .
+ libsoup uses the Glib main loop and is designed to work well with GTK+
+ applications. This enables GNOME applications to access HTTP servers
+ on the network in a completely asynchronous fashion, very similar to
+ the Gtk+ programming model (a synchronous operation mode is also
+ supported for those who want it).
+ .
+ The GNOME support library is used for features which are important to
+ GNOME apps, but which require GNOME-specific libraries that non-GNOME
+ apps may not want to add dependencies on.
+ .
+ Features:
+  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
+  * Automatically caches connections
+  * SSL Support using GnuTLS
+  * Proxy support, including authentication and SSL tunneling
+  * Client support for Digest, NTLM, and Basic authentication
+  * Server support for Digest and Basic authentication
+  * Basic client-side SOAP and XML-RPC support
+ .
+ This package contains the development files for the GNOME support.
 
 Package: libsoup2.4-doc
 Section: doc
@@ -102,11 +198,10 @@
  Features:
   * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
   * Automatically caches connections
-  * SSL Support using GnuTLS [disabled on Maemo]
+  * SSL Support using GnuTLS
   * Proxy support, including authentication and SSL tunneling
   * Client support for Digest, NTLM, and Basic authentication
   * Server support for Digest and Basic authentication
   * Basic client-side SOAP and XML-RPC support
  .
  This package contains the documentation.
-
