## libsoup2.4 2.31.92

=== debian/changelog ===
libsoup2.4 (2.31.92-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Percent-encoded characters in URIs are no longer
      automatically normalized to uppercase, since apparently some
      servers are stupid. (Sergio Villar Senin)
    - Fixed a crash when resolving a URI containing both spaces
      and non-UTF8 8bit characters. (LP: #624896)
  * add debian/patches/89_revert_new_gi.patch:
    - don't use new gir for maverick
  * add debian/patches/90_autoreconf.patch to take previous patch into account

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Sep 2010 23:29:17 +0200

libsoup2.4 (2.31.90-0ubuntu1) maverick; urgency=low

  * New upstream version
  * debian/libsoup2.4-1.symbols,
    debian/rules:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Aug 2010 15:52:18 +0200

libsoup2.4 (2.31.6-0ubuntu2) maverick; urgency=low

  * Rebuild for the current gobject introspection

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Aug 2010 22:57:01 +0200

libsoup2.4 (2.31.6-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Set Vcs-Bzr link
    - Use standards version 3.9.1

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 10 Aug 2010 11:30:15 +1000

libsoup2.4 (2.31.2-1) experimental; urgency=low

  * New upstream development release:
    + debian/control.in,
      debian/libsoup2.4-dev.install,
      debian/libsoup-gnome2.4-dev.install,
      debian/gir1.0-soup-2.4.install:
      - Add GObject-Introspection support.
    + debian/libsoup2.4-1.symbols,
      debian/rules:
      - Update for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 25 May 2010 21:38:03 +0200
