## libsoup2.4 2.34.0

=== debian/changelog ===
libsoup2.4 (2.34.0-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 06 Apr 2011 12:57:51 +1000

libsoup2.4 (2.33.92-1) experimental; urgency=low

  * New upstream release.
    + debian/libsoup2.4-1.symbols:
      - Updated.
    + debian/control.in:
      - Update dependencies and build dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Mar 2011 09:41:34 +0000

libsoup2.4 (2.33.90-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in,
      debian/rules:
      - Let CDBS call dh_girepository for us.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 22 Feb 2011 20:43:06 +0000

libsoup2.4 (2.33.6-1) experimental; urgency=low

  * debian/control.in:
    + Let libsoup2.4-dev replace gir-repository-dev without a version.
      We don't want to drop libsoup bindings from girepository until
      Squeeze is released, and the version is useless until we do that.
  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 31 Jan 2011 23:05:09 +0000

libsoup2.4 (2.33.5-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 11 Jan 2011 00:11:22 +0000

libsoup2.4 (2.33.4-1) experimental; urgency=low

  * debian/control.in:
    - Remove gir-repository-dev build dependency, no longer needed.
    - Standards-Version is 3.9.1, no changes needed.
  * New upstream development release.
    + debian/control.in:
      - Build-depend/Depend on glib-networking.
      - Stop build depending on libgnutls, we use glib-networking now.
    + debian/rules:
      - Make the shlibs always depend on the latest upstream version.
        We have symbols file anyway, and manually bumping the shver is
        error prone.
    + debian/libsoup2.4-1.symbols:
      - Updated for the new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 08 Jan 2011 02:25:28 +0000

libsoup2.4 (2.32.2-1) experimental; urgency=low

  * New upstream release.
    - debian/libsoup2.4-0.symbols:
      + Updated.
    - debian/rules:
      + Update the shver.
  * Update to the new gir policy:
    - Rename gir1.0-soup-2.4 to gir1.2-soup-2.4.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.
  * debian/rules:
    - Call dh_girepository to get proper dependencies on the
      gir package.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 12 Dec 2010 16:26:33 +0100
