=== debian/control ===
--- 
+++ 
@@ -6,29 +6,24 @@
 Source: libsoup2.4
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: David Weinehall <tao@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: David Weinehall <tao@debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 5),
-               dpkg-dev (>= 1.13.19),
-               cdbs,
+               cdbs (>= 0.4.90),
                gnome-pkg-tools,
-               libgconf2-dev,
-               libglib2.0-dev (>= 2.21.3),
+               libglib2.0-dev (>= 2.27.5),
+               glib-networking (>= 2.28.4),
                libgnome-keyring-dev,
-               libgnutls-dev (>= 2.1.7),
-               libproxy-dev,
                libsqlite3-dev,
                libxml2-dev,
                gtk-doc-tools,
                shared-mime-info,
-               libgirepository1.0-dev (>= 0.6.7),
-               gobject-introspection (>= 0.6.7),
-               gir-repository-dev,
-               gir1.0-glib-2.0
+               libgirepository1.0-dev (>= 0.9.5),
+               gobject-introspection (>= 0.9.12-4~),
+               gir1.2-glib-2.0
 Build-Depends-Indep: libglib2.0-doc
-Build-Conflicts: libgnutls11-dev
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/libsoup/ubuntu
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/libsoup2.4
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/experimental/libsoup2.4
 Standards-Version: 3.9.1
 
 Package: libsoup2.4-dev
@@ -36,12 +31,10 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libsoup2.4-1 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.21.3),
-         libxml2-dev,
-         libgnutls-dev (>= 2.1.7)
-Conflicts: libgnutls11-dev
+         libglib2.0-dev (>= 2.27.5),
+         libxml2-dev
 Suggests: libsoup2.4-doc
-Replaces: gir-repository-dev (<< 0.6.5-7)
+Replaces: gir-repository-dev
 Description: an HTTP library implementation in C -- Development files
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
@@ -68,7 +61,8 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         glib-networking (>= 2.28.4)
 Description: an HTTP library implementation in C -- Shared library
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
@@ -212,13 +206,15 @@
  .
  This package contains the documentation.
 
-Package: gir1.0-soup-2.4
+Package: gir1.2-soup-2.4
 Section: libs
 Architecture: any
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Provides: gir1.0-soup-gnome-2.4
+Provides: gir1.2-soup-gnome-2.4
+Conflicts: gir1.0-soup-2.4,
+           gir1.0-soup-gnome-2.4
 Description: GObject introspection data for the libsoup HTTP library
  This package contains introspection data for the libsoup HTTP library.
  .
