=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: David Weinehall <tao@debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 5),
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 8),
                cdbs (>= 0.4.90),
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.27.5),
@@ -22,20 +22,21 @@
                gobject-introspection (>= 0.9.12-4~),
                gir1.2-glib-2.0
 Build-Depends-Indep: libglib2.0-doc
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/libsoup2.4
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/experimental/libsoup2.4
-Standards-Version: 3.9.1
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/libsoup2.4
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/libsoup2.4
+Standards-Version: 3.9.2
 
 Package: libsoup2.4-dev
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
          libsoup2.4-1 (= ${binary:Version}),
+         gir1.2-soup-2.4 (= ${binary:Version}),
          libglib2.0-dev (>= 2.27.5),
          libxml2-dev
 Suggests: libsoup2.4-doc
 Replaces: gir-repository-dev
-Description: an HTTP library implementation in C -- Development files
+Description: HTTP library implementation in C -- Development files
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
  split into separate packages.
@@ -63,7 +64,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          glib-networking (>= 2.28.4)
-Description: an HTTP library implementation in C -- Shared library
+Description: HTTP library implementation in C -- Shared library
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
  split into separate packages.
@@ -91,7 +92,7 @@
 Architecture: any
 Depends: libsoup2.4-1 (= ${binary:Version}),
          ${misc:Depends}
-Description: an HTTP library implementation in C -- debugging symbols
+Description: HTTP library implementation in C -- debugging symbols
  It was originally part of a SOAP (Simple Object Access Protocol).
  implementation called Soup, but the SOAP and non-SOAP parts have now been
  split into separate packages.
@@ -118,7 +119,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Description: an HTTP library implementation in C -- GNOME support library
+Description: HTTP library implementation in C -- GNOME support library
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
  split into separate packages.
@@ -152,7 +153,7 @@
          libsoup2.4-dev (= ${binary:Version})
 Suggests: libsoup2.4-doc
 Replaces: gir-repository-dev (<< 0.6.5-7)
-Description: an HTTP library implementation in C -- GNOME support development files
+Description: HTTP library implementation in C -- GNOME support development files
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
  split into separate packages.
@@ -184,7 +185,7 @@
 Depends: ${misc:Depends}
 Suggests: libsoup2.4-dev
 Replaces: libsoup2.2-doc (<< 2.2.105)
-Description: an HTTP library implementation in C -- API Reference
+Description: HTTP library implementation in C -- API Reference
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
  split into separate packages.
